## ros-melodic-ur16e-moveit-config 1.3.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(ur16e_moveit_config)

find_package(catkin REQUIRED)

catkin_package()

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(tests/moveit_planning_execution.xml)
endif()

install(DIRECTORY launch DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY config DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-ur16e-moveit-config (1.3.1-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 10 Nov 2022 23:00:00 -0000

ros-melodic-ur16e-moveit-config (1.3.0-1bionic) bionic; urgency=high

  * Merge melodic-devel-staging #617 <https://github.com/ros-industrial/universal_robot/issues/617> from ros-industrial/melodic-devel-staging
  * Use effort controllers for Gazebo #619 <https://github.com/ros-industrial/universal_robot/issues/619> from fmauch/gazebo_effort_controllers
  * [moveit_configs] Change default sim controller to effort controller
  * Update ur kinematics (#616 <https://github.com/ros-industrial/universal_robot/issues/616>)
    * Add ur_kinematics parameter sets for all e-Series robots
    * Add a README with a notice to ur_kinematics
    * Set correct IKFast plugin name in kinematics.yaml
    * Add ignore files for releasing ur_kinematics
  * Merge pull request #617 <https://github.com/ros-industrial/universal_robot/issues/617> from ros-industrial/melodic-devel-staging
    Melodic devel staging
  * Merge pull request #619 <https://github.com/ros-industrial/universal_robot/issues/619> from fmauch/gazebo_effort_controllers
    Gazebo effort controllers
  * [moveit_configs] Change default sim controller to effort controller
  * Update ur kinematics (#616 <https://github.com/ros-industrial/universal_robot/issues/616>)
    * Add ur_kinematics parameter sets for all e-Series robots
    * Add a README with a notice to ur_kinematics
    * Set correct IKFast plugin name in kinematics.yaml
    * Add ignore files for releasing ur_kinematics
    Since the state of this package questionable at the current point, let's
    disable releasing it for now.
  * Update MoveIt! support (#538 <https://github.com/ros-industrial/universal_robot/issues/538>)
    Update MoveIt! configurations to new description structure.
    Co-authored-by: Luke Dennis <mailto:luke.j.dennis@gmail.com>
    Co-authored-by: gavanderhoorn <mailto:g.a.vanderhoorn@tudelft.nl>
    Co-authored-by: RobertWilbrandt <mailto:wilbrandt@fzi.de>
    Initial commit of this package
  * Contributors: Felix Exner, Felix Exner (fexner), RobertWilbrandt

 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Wed, 09 Nov 2022 23:00:00 -0000

ros-melodic-ur16e-moveit-config (1.2.5-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 04 Apr 2019 22:00:00 -0000

ros-melodic-ur16e-moveit-config (1.2.1-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Fri, 05 Jan 2018 23:00:00 -0000

ros-melodic-ur16e-moveit-config (1.2.0-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 03 Aug 2017 22:00:00 -0000

ros-melodic-ur16e-moveit-config (1.1.9-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sun, 01 Jan 2017 23:00:00 -0000

ros-melodic-ur16e-moveit-config (1.1.8-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 29 Dec 2016 23:00:00 -0000

ros-melodic-ur16e-moveit-config (1.1.7-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Wed, 28 Dec 2016 23:00:00 -0000

ros-melodic-ur16e-moveit-config (1.1.6-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Thu, 31 Mar 2016 22:00:00 -0000

ros-melodic-ur16e-moveit-config (1.1.5-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sun, 02 Nov 2014 23:00:00 -0000

ros-melodic-ur16e-moveit-config (1.0.4-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Wed, 03 Sep 2014 22:00:00 -0000

ros-melodic-ur16e-moveit-config (1.0.3-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sun, 24 Aug 2014 22:00:00 -0000

ros-melodic-ur16e-moveit-config (1.0.2-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 31 Mar 2014 13:55:00 -0000

ros-melodic-ur16e-moveit-config (1.0.1-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Mon, 31 Mar 2014 09:03:00 -0000

ros-melodic-ur16e-moveit-config (1.0.0-1bionic) bionic; urgency=high



 -- G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>  Sun, 23 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-ur16e-moveit-config
Section: misc
Priority: optional
Maintainer: G.A. vd. Hoorn <g.a.vanderhoorn@tudelft.nl>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-roslaunch <!nocheck>
Homepage: http://moveit.ros.org/
Standards-Version: 3.9.2

Package: ros-melodic-ur16e-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-joint-state-publisher, ros-melodic-joint-state-publisher-gui, ros-melodic-moveit-fake-controller-manager, ros-melodic-moveit-planners-ompl, ros-melodic-moveit-ros-benchmarks, ros-melodic-moveit-ros-move-group, ros-melodic-moveit-ros-visualization, ros-melodic-moveit-ros-warehouse, ros-melodic-moveit-setup-assistant, ros-melodic-moveit-simple-controller-manager, ros-melodic-robot-state-publisher, ros-melodic-rviz, ros-melodic-tf2-ros, ros-melodic-trac-ik-kinematics-plugin, ros-melodic-ur-description, ros-melodic-warehouse-ros-mongo, ros-melodic-xacro
Description: An automatically generated package with all the configuration and launch files for using the ur16e with the MoveIt Motion Planning Framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-ur16e-moveit-config//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
